ros-rolling-moveit-ros-robot-interaction (2.13.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 16 Apr 2025 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.13.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 15 Apr 2025 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.13.0-1noble) noble; urgency=high

  * Update deprecated tf2 imports from .h to .hpp (#3197 <https://github.com/ros-planning/moveit2/issues/3197>)
  * Contributors: Sebastian Castro

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 15 Feb 2025 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.12.0-1noble) noble; urgency=high

  * Enhancement/use hpp for headers (#3113 <https://github.com/ros-planning/moveit2/issues/3113>)
  * Contributors: Tom Noble

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 29 Nov 2024 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.11.0-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 16 Sep 2024 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.10.0-1noble) noble; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Robert Haschke, Sebastian Jahr, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 13 Jun 2024 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.9.0-1noble) noble; urgency=high

  * Node logging in moveit_core (#2503 <https://github.com/ros-planning/moveit2/issues/2503>)
  * Use node logging in moveit_ros (#2482 <https://github.com/ros-planning/moveit2/issues/2482>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Converts float to double (#2343 <https://github.com/ros-planning/moveit2/issues/2343>)
    * Limiting the scope of variables #874 <https://github.com/ros-planning/moveit2/issues/874>
    Limited the scope of variables in moveit_core/collision_detection
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * convert float to double
    * change double to float
    * Feedback fixes
    * Introduced variables removed from previous merge commit
    * Updated GL_Renderer function definitions with double instead of float
    * Changed update() function arguments to float since it is a derived virtual function and needs to be overriden
    * Fixed all override errors in visualization
    * *Fixed override errors in perception
    *Changed reinterpret_cast to double* from float*
    * change variable types to fit function definition
    * Fixed clang-tidy warnings
    * Fixed scope of reusable variables
    ---------
    Co-authored-by: Salah Soliman <mailto:salahsoliman96@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Marq Rasmussen, Sebastian Jahr, Shobuj Paul, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 09 Jan 2024 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.8.0-1noble) noble; urgency=high

  * Replaced numbers with SystemDefaultsQos() (#2271 <https://github.com/ros-planning/moveit2/issues/2271>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 10 Sep 2023 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.7.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 18 May 2023 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.7.3-1noble) noble; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Apr 2023 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.7.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 18 Apr 2023 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.7.1-1noble) noble; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Mar 2023 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.7.0-1noble) noble; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 29 Jan 2023 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.6.0-1noble) noble; urgency=high

  * Add moveit_core dependency to robot_interaction (#1617 <https://github.com/ros-planning/moveit2/issues/1617>)
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: Robert Haschke, Sebastian Castro, Sebastian Jahr, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 10 Nov 2022 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.5.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 28 Jul 2022 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.5.2-1noble) noble; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/c88f6fb64e9057a4b9a8f6fafc01060e8c48a216
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Find end-effectors for empty parent_group (#3108 <https://github.com/ros-planning/moveit2/issues/3108>)
    The parent_group attribute is optional in MSA. If it is not set, end-effector markers should be created in any case.
    Fixup for 9271e6a2edbeed291b7c713f55000bbc59d37b9e
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * various: prefer objects and references over pointers
  * Contributors: Abishalini, David V. Lu, Henry Moore, Michael Görner, Vatan Aksoy Tezer, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 18 Jul 2022 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.5.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 31 May 2022 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.5.0-1noble) noble; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/72d919299796bffc21f5eb752d66177841dc3442
  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * various: prefer object and references over pointers
    source: https://github.com/ros-planning/moveit/pull/3106/commits/1a8e5715e3142a92977ac585031b9dc1871f8718; this commit contains minor changes when compared to the source commit which it is based on, these changes are limited to ensuring compatibility with ROS2.
  * Merge https://github.com/ros-planning/moveit/commit/424a5b7b8b774424f78346d1e98bf1c9a33f0e78
  * Remove new operators (#1135 <https://github.com/ros-planning/moveit2/issues/1135>)
    replace new operator with make_shared
  * Consider eef's parent group when creating eef markers (#3095 <https://github.com/ros-planning/moveit2/issues/3095>)
    If we have end-effector(s) defined, a corresponding rviz marker for IK
    should be created only if the eef's group matches the considered JMG.
  * Merge https://github.com/ros-planning/moveit/commit/a25515b73d682df03ed3eccd839110c296aa79fc
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * 1.1.9
  * 1.1.8
  * 1.1.7
  * Disable slow robot_interaction tests in DEBUG mode (#3014 <https://github.com/ros-planning/moveit2/issues/3014>)
    These tests are known to run for a very long time in debug builds. So let's disable them in this case.
    If you still insist to run them, you can do so via locked_robot_state_test --gtest_also_run_disabled_tests
  * Add marker for subgroups even if no endeffector is defined for them (#2977 <https://github.com/ros-planning/moveit2/issues/2977>)
    For single groups, the old logic fell back to add a marker
    for the last link if IK is supported for it and no endeffector is defined.
    That (quite reasonable) fallback did not yet work for subgroups though.
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
    * boost::bind -> std::bind
    grep -rlI --exclude-dir=.git "boost::bind" | xargs sed -i 's/boost::bind/std::bind/g'
    * Convert bind placeholders
    grep -rlI --exclude-dir=.git " _[0-9]" | xargs sed -i 's/ _([0-9])/ std::placeholders::_1/g'
    * Update bind include header
    grep -rlI --exclude-dir=.git "boost/bind" | xargs sed -i 's#boost/bind.hpp#functional#'
  * 1.1.6
  * Contributors: Abishalini, Henning Kayser, Jafar, Jochen Sprickerhof, Michael Görner, Robert Haschke, Sencer Yazıcı, jeoseo, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 26 May 2022 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.4.0-1noble) noble; urgency=high

  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.3.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.3.1-1noble) noble; urgency=high

  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Henning Kayser, Robert Haschke, Sencer Yazıcı, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.3.0-1noble) noble; urgency=high

  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Contributors: Akash, Nisala Kalupahana, Jorge Nicho, Henning Kayser, Vatan Aksoy Tezer, Tyler Weaver, Lior Lustgarten

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Oct 2021 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.2.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Jul 2021 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.2.0-1noble) noble; urgency=high

  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
  * Contributors: JafarAbdi, Tyler Weaver, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 30 Jun 2021 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.1.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 31 May 2021 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.1.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 May 2021 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.1.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 20 Apr 2021 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.1.1-1noble) noble; urgency=high

  * Enable ament_lint tests (#340 <https://github.com/ros-planning/moveit2/issues/340>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Sync main branch with MoveIt 1 from previous head https://github.com/ros-planning/moveit/commit/0247ed0027ca9d7f1a7f066e62c80c9ce5dbbb5e up to https://github.com/ros-planning/moveit/commit/74b3e30db2e8683ac17b339cc124675ae52a5114
  * [fix] export cmake library install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Jafar Abdi, Robert Haschke, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Apr 2021 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (2.1.0-1noble) noble; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [ros2-migration] Port robot_interaction to ROS 2 (#211 <https://github.com/ros-planning/moveit2/issues/211>)
  * Contributors: Jafar Abdi, Lior Lustgarten, Edwin Fan

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Nov 2020 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (1.1.1-1noble) noble; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Oct 2020 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (1.1.0-1noble) noble; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [fix] Various fixes for upcoming Noetic release #2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Dave Coleman, Henning Kayser, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 04 Sep 2020 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (1.0.6-1noble) noble; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Aug 2020 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (1.0.5-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Jul 2020 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (1.0.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 30 May 2020 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (1.0.3-1noble) noble; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 26 Apr 2020 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (1.0.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 28 Jun 2019 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (1.0.1-1noble) noble; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Mar 2019 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (1.0.0-1noble) noble; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * [improve] cleanup RobotInteraction (#1287 <https://github.com/ros-planning/moveit/issues/1287>)
  * [improve] limit IK timeout to 0.1s for a responsive interaction behaviour (#1291 <https://github.com/ros-planning/moveit/issues/1291>)
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 24 Feb 2019 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.10.8-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Dec 2018 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.10.7-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 13 Dec 2018 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.10.6-1noble) noble; urgency=high

  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Cleanup Robot Interaction (#1194 <https://github.com/ros-planning/moveit/issues/1194>)
    * Remove deprecated handling of own KinematicsOptionsMap
    * Use normalized quaternions
  * [maintenance] Code Cleanup
    * #1179 <https://github.com/ros-planning/moveit/issues/1179>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Alex Moriarty, Dave Coleman, Michael Görner, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 09 Dec 2018 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.10.5-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 01 Nov 2018 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.10.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.10.3-1noble) noble; urgency=high

  * [fix] compiler warnings (#1089 <https://github.com/ros-planning/moveit/issues/1089>)
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.10.2-1noble) noble; urgency=high

  * [fix] Text refrences to MoveIt (#1020 <https://github.com/ros-planning/moveit/issues/1020>)
  * Contributors: Mohmmad Ayman, Robert Haschke, mike lautman

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 24 Oct 2018 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.10.1-1noble) noble; urgency=high

  * [fix] interaction with planar joints (#767 <https://github.com/ros-planning/moveit/issues/767>)
  * [maintenance] boost::shared_ptr -> std::shared_ptr
  * [maintenance] migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [enhance] association of IK solvers to groups #769 <https://github.com/ros-planning/moveit/issues/769>
  * Contributors: Bence Magyar, Ian McMahon, Michael Görner, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 25 May 2018 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.11-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 25 Dec 2017 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.10-1noble) noble; urgency=high

  * [package.xml] Add a release-maintainer. Cleanup #649 <https://github.com/ros-planning/moveit/pull/649>

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Dec 2017 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.9-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Aug 2017 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.8-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 21 Jun 2017 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.7-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 05 Jun 2017 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.6-1noble) noble; urgency=high

  * [fix] catkin_make -DCMAKE_ENABLE_TESTING=0 failure (#478 <https://github.com/ros-planning/moveit/issues/478>)
  * Contributors: Michael Goerner

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Apr 2017 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.5-1noble) noble; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Mar 2017 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.4-1noble) noble; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 06 Feb 2017 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.3-1noble) noble; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 16 Nov 2016 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.9.2-1noble) noble; urgency=high

  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 05 Nov 2016 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.6.6-1noble) noble; urgency=high

  * use getModelFrame() as reference frame for markers
  * publish markers relative to robot's root frame
    In addition to #669 <https://github.com/ros-planning/moveit_ros/issues/669>, interactive markers need to be place relative to the
    robot's root frame. If nothing is specified (as before), rviz' fixed frame
    is used, leading to offsets when both frames are not identical.
  * merge indigo-devel changes (PR #633 <https://github.com/ros-planning/moveit_ros/issues/633> trailing whitespace) into jade-devel
  * Removed trailing whitespace from entire repository
  * further adapted marker size computation
    - drop largest extension dimension (-> use cross-section size of elongated link)
    - for an end-effector group, consider the sizes of individual links
    instead of the overall size of all links (which becomes huge very fast)
    - enlarge marker size by factor of 1.5 when there is only a single eef marker
  * reworked computeLinkMarkerSize()
    compute size such that the marker sphere will cover
    - a spherical link geometry -> AABB.maxCoeff
    - a cubical link geometry -> AABB.norm
    -> use average of both values
    Virtual links (without any shape) will have a size of AABB of zero dims.
    In this case use the dimensions of the closest parent link instead.
  * improved computation of interactive marker size
    - use parent_link if group == parent_group
    - scale smaller than 5cm is clipped to 5cm instead of using default
    - clarified size computation, using diameter of AABB
  * fixing error caused by BOOST_STATIC_ASSERT
  * Fixed compile error caused by BOOST_STATIC_ASSERT in kinematic_options.cpp
    Added kinematics::DiscretizationMethods::DiscretizationMethod to QO_FIELDS in kinematic_options.cpp.
    At pull request #581 <https://github.com/ros-planning/moveit_ros/issues/581>, type of discretization_method was set to int. Changed it to proper type.
  * reinstated changes related to the updates in the  moveit_core::KinematicsBase interface
  * Revert "  Kinematics Base changes in moveit_core"
  * adds the 'returns_approximate_solution' entry so that it is compatible with the changes in kinematics::KinematicsBase class in the moveit_core repo
  * Contributors: Daichi Yoshikawa, Dave Coleman, Robert Haschke, Sachin Chitta, jrgnicho

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Jun 2016 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.6.5-1noble) noble; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 24 Jan 2015 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.6.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 20 Dec 2014 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.6.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 03 Dec 2014 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.6.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 31 Oct 2014 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.6.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 31 Oct 2014 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.6.0-1noble) noble; urgency=high

  * Fix coding style according to the moveit style
  * update joystick documentation according to the latest implementation
  * add checkbox to toggle if moveit rviz plugin subscribes
    the topics to be used for communication to the external ros nodes.
    update moveit_joy.py to parse srdf to know planning_groups and the
    names of the end effectors and support multi-endeffector planning groups.
  * adding PoseStamped topic to move the interactive marker from other ros nodes
    such as joystick programs.
  * Contributors: Ryohei Ueda, Sachin Chitta

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 27 Oct 2014 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.19-1noble) noble; urgency=high

  * Fix [-Wreorder] warning.
  * Allow planning groups to have more than one tip
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Jun 2014 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.18-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Mar 2014 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.17-1noble) noble; urgency=high

  * update maintainer e-mail
  * Contributors: Ioan Sucan

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 Mar 2014 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.16-1noble) noble; urgency=high

  * fix test
    This was testing functionality that got removed.  Removed that part of the
    test.
  * robot_interaction: add comments
    Comment cryptic public function behavior.
  * robot_interaction: fix formatting
    remove tabs and whitespace at the end of lines.
  * robot_interaction: fix comment formatting
    Limit lines to 120 chars max (80 preferred in headers).
  * robot_interaction: fix setStateFromIK prototypes
    use references instead of pointers.
  * robot_interaction: fix header problems
    fix getRobotModel() bug
    make internal functions private.
  * remove extraneous code
  * add missing headers
  * robot_interaction: Fix issues raised by Ioan
  * robot_interaction: use LockedRobotState
    Fix a number of thread safety violations.
  * robot_interaction: add LockedRobotState and tests
  * robot_interaction: use KinematicOptionsMap
    Fixes threading issues.
    Separate the handling of kinematics options into a separate object which
    enforces thread safe access.
  * robot_interaction: add KinematicOptions
    KinematicOptions contains the parameters needed to call RobotState::setFromIK.
    KinematicOptionsMap contains a map of string->KinematicOptions a default KinematicOptions.
    These are useful in RobotInteraction with the group name as the key.
  * pull RobotInteraction structures out of class
    The Generic, EndEffector, and Joint structures complicate the core of
    RobotInteraction.  Pull them out to simplify the code.  This will also
    help with future plans to make the core of RobotInteraction more
    generic and flexible.
  * fix include guards to match moveit conventions
  * robot_interaction: include interaction_handler.h from robot_interaction.h
    This is for backwards compatibility with code that only includes
    robot_interaction.h
  * robot_interaction: split handler into own file
  * robot_interaction: split InteractionHandler into its own file
  * robot_interaction: make lock-protected members private
    Since the lock is needed to access these and the lock is private it makes no
    sense for them to be protected.
  * robot_interaction: add locking comments
  * robot_interaction: simplify code
  * robot_interaction: fix comments
  * Contributors: Acorn Pooley

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 27 Feb 2014 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.14-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 06 Feb 2014 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.13-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 06 Feb 2014 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.12-1noble) noble; urgency=high

  * Fixed trailing underscores in CHANGELOGs.
  * Contributors: Dave Hershberger

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 03 Jan 2014 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.11-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 03 Jan 2014 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.10-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 08 Dec 2013 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.9-1noble) noble; urgency=high

  * adds KDL link directories to robot_interaction/CMakeLists.txt (fixes #376 <https://github.com/ros-planning/moveit_ros/issues/376>)
  * fixed computation of dimension_.
  * fixes for mimic joints and redundant joints

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 03 Dec 2013 05:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.8-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 11 Oct 2013 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.7-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 01 Oct 2013 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.6-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 26 Sep 2013 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.5-1noble) noble; urgency=high

  * porting to new RobotState API

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Sep 2013 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.4-1noble) noble; urgency=high

  * make headers and author definitions aligned the same way; white space fixes
  * fix #283 <https://github.com/ros-planning/moveit_ros/issues/283>

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 14 Aug 2013 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 15 Jul 2013 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 14 Jul 2013 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.5.0-1noble) noble; urgency=high

  * fix #275 <https://github.com/ros-planning/moveit_ros/issues/275>
  * white space fixes (tabs are now spaces)
  * adding options struct to kinematics base

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 12 Jul 2013 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.4.5-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 03 Jul 2013 04:00:00 -0000

ros-rolling-moveit-ros-robot-interaction (0.4.4-1noble) noble; urgency=high

  * bugfixes
  * robot_interaction: include sphere markers by default
  * use improved MOVE_ROTATE_3D marker

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 26 Jun 2013 04:00:00 -0000


